import 'package:memri/core/models/item.dart';

class NetworkHelper {
  static final NetworkHelper _network = NetworkHelper._internal();

  factory NetworkHelper() => _network;

  NetworkHelper._internal();

  List<Item> parseGQLResponse(Map<String, dynamic> jsonBody) {
    List<Item> result = [];
    List<dynamic> data = jsonBody['data'] ?? [];
    for (var itemMap in data) {
      result.add(Item.fromJson(itemMap));
    }
    return result;
  }
}
