import 'package:flutter/material.dart';

class Circle extends StatelessWidget {
  final Color color;
  final Widget? child;
  final BoxBorder? border;

  const Circle(
      {Key? key, this.color = Colors.transparent, this.child, this.border})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        shape: BoxShape.circle,
        border: border,
        color: color,
      ),
      child: child,
    );
  }
}
