import 'package:memri/utilities/extensions/collection.dart';

extension EnumExtension on Enum {
  String get inString => toString().split('.').last;

  static T? rawValue<T extends Enum>(List<T> values, String? value) =>
      values.firstWhereOrNull((val) => val.inString == value);
}
