import 'package:flutter/material.dart';
import 'package:memri/widgets/screen_error.dart';

class DataAppError extends StatelessWidget {
  const DataAppError({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(30),
      child: ScreenError(
        title: 'Data App Error',
        message: 'There is no running plugin with this id.',
        buttonLabel: 'Back to apps',
      ),
    );
  }
}
