import 'dart:ui';

import 'package:flutter/material.dart';

class BlurFilter extends StatelessWidget {
  const BlurFilter({Key? key, required this.child}) : super(key: key);

  final Widget child;
  final double blurValue = 25;

  @override
  Widget build(BuildContext context) {
    return BackdropFilter(
      filter: ImageFilter.blur(sigmaX: blurValue, sigmaY: blurValue),
      child: Align(alignment: Alignment.center, child: child),
    );
  }
}
